package UK.co.orl.weather;

import java.awt.*;

public class Pointer {
  public void paint(Graphics g, int length, float theta) {
    Point end = polar(length, theta);
    g.drawLine(0, 0, end.x, end.y);
  }
  protected Point polar(int r, float theta) {
    return new Point ((int)(r * Math.cos(theta)), -(int)(r * Math.sin(theta)));
  }
}

